NoPixel


Don't get stuck with the rest, TRUCK with the best

Incompatible ATS & ETS2 version

American Truck Simulator and Euro Truck Simulator 2 were just updated to version 1.44!
We do not support this update yet, but fortunately it is possible to downgrade to 1.43.

For information on downgrading your game, please click here

Information


Tag: NoPixel
Language: English
Created: 13 Nov 2020 23:47 UTC
Supported Game
Euro Truck Simulator 2
Owner: // NoPixel //®
Members: 27
Recruitment: Open

Latest VTC Posts

There are currently no posts

Rules

Events We Are Attending

🚚🚓ConSecGroup May Community Special with Real Op's🚓🚚

🚚🚓ConSecGroup May Community Special with Real Op's🚓🚚

28 May 18:00 UTC

ETS2

Convoy

Event Server

95 4 27

ProMods Community Convoy

ProMods Community Convoy

11 Jun 16:00 UTC

ETS2

Convoy

To be determined

276 62 50

View more

CONTACT US

Want to know more information or have a question?

By Website By Email

Social

Requirements


  • Must own official version of ETS2 or ATS
  • +14 years old
  • Minimum 75 hours in ETS2 or ATS
  • Your TruckersMP account must be at least 3 months old

Members public

dRaK
dRaK
Founder
Militianu
Militianu
Administrator
Filipatrick16
Filipatrick16
Reprezentant
Dr.Yamakashy
Dr.Yamakashy
Reprezentant
Ov!d!u
Ov!d!u
Reprezentant
View more